Qyra
ReferenceUntagged

GET/api/v1/projects/{projectUuid}/aiAgents/mcpServers

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Responses

200 — Success

{
  "results": [
    {
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "connectedByUserUuid": "string",
      "error": "string",
      "connectionStatus": {},
      "credentialScope": {},
      "hasCredentials": true,
      "allowOAuthCredentialSharing": true,
      "authType": "none",
      "iconUrl": "string",
      "url": "string",
      "name": "string",
      "projectUuid": "string",
      "uuid": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}